package com.prolog.cs.biz.inbound.service.rcv;

import com.prolog.cs.biz.inbound.dto.PageParam;
import com.prolog.cs.biz.inbound.dto.rcv.RcvLinesPicDTO;
import com.prolog.framework.authority.core.dto.UserDTO;
import com.prolog.framework.core.pojo.Page;

import java.util.List;

/**
 * @Description  
 * @Date 2021-03-24 
 */

public interface RcvLinesPicService {

	/**
 	* @Description   
 	* @Date 2021-03-24 
 	* add RcvLinesPicDTO 
 	*/
	public Object add(RcvLinesPicDTO rcvLinesPicDTO);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* edit RcvLinesPicDTO 
 	*/
	public Object edit(String pkId,RcvLinesPicDTO rcvLinesPicDTO);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* delete RcvLinesPicDTO 
 	*/
	public Object deletePkId(String pkId);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* delete RcvLinesPicDTO 
 	*/
	public Object delIds(List<String> pkIdList);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* page condition search RcvLinesPicDTO 
 	*/
	public Page<RcvLinesPicDTO> findList(RcvLinesPicDTO rcvLinesPicDTO,PageParam pageParam);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* batchAdd RcvLinesPicDTO 
 	*/
	public Object batchAdd(List<RcvLinesPicDTO> rcvLinesPicDTOList);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* batchEdit RcvLinesPicDTO 
 	*/
	public Object batchEdit(List<RcvLinesPicDTO> rcvLinesPicDTOList);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* condition search all RcvLinesPicDTO 
 	*/
	public List<RcvLinesPicDTO> findAll(RcvLinesPicDTO rcvLinesPicDTO);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* findOne RcvLinesPicDTO 
 	*/
	public RcvLinesPicDTO findByPkId(String pkId);

	public Object batchAdd(List<RcvLinesPicDTO> rcvLinesPicDTOList, String rcvLineId, UserDTO userDTO);
}
